Loading...
Searching...
No Matches
VolkTest Class Reference

`#include <tests/volk_test.h>`

Inherits testing::TestWithParam< std::tuple< std::string, size_t > >.

Inherited by volk_32f_x3_sum_of_poly_32f_test, volk_32fc_s32fc_x2_rotator2_32fc_test, and volk_32fc_x2_multiply_32fc_test.

## Protected Member Functions

void | initialize_test (const std::tuple< std::string, size_t > &param)

## Protected Attributes

std::string | implementation_name
bool | is_aligned_implementation
size_t | vector_length

## Member Function Documentation

## initialize_test()

void VolkTest::initialize_test | ( | const std::tuple< std::string, size_t > & | param | ) |

inline protected

## Field Documentation

## implementation_name

std::string VolkTest::implementation_name

protected

## is_aligned_implementation

bool VolkTest::is_aligned_implementation

protected

## vector_length

size_t VolkTest::vector_length

protected